Subject: bug#45098: 28.0.50; gnu-elpa: if user says `no' to install package, it aborts the previous function invoked

From: Stefan Monnier <[email-masked]>
Date: Tue, 08 Dec 2020 09:21:23 -0500

>> Problem (1) should be reasonably easy to fix by removing the
>> corresponding autoload and storing the list of unwanted packages
>> somewhere for future Emacs sessions (and also changing the question from
>> "yes/no" to "yes/notnow/never").
> I am just worried that if that package becomes enabled by default in
> future Emacs that it will be nagging users who just wish to edit and
> not access Internet. It should be rather option that user enables to
> be asked just as it is common to enable packages.

Hmm... indeed you're right.  It *is* worth the trouble if we want to
enable it by default.

> Is asking users to enable or load or install various packages the sole
> purpose of gnu-elpa package?

Yes and no: it's not the "purpose" but it's the way it reaches its
purpose.  Its purpose is to integrate GNU ELPA more closely into Emacs,
and generally promote GNU ELPA packages.

        Stefan